Loading...
Searching...
No Matches
BALL::StrangLBFGSMinimizer::Option Struct Reference

`#include <BALL/MOLMEC/MINIMIZATION/strangLBFGS.h>`

## Static Public Attributes

static const char * | IMPROVED
static const char * | NUM_OF_STORED_VECT_PAIRS

## Detailed Description

Symbolic names for option keys. This struct contains a symbolic name for each recognized key in StrangLBFGSMinimizer::options.

  For each symbol the required type is given under parameters.

Definition at line 54 of file strangLBFGS.h.

## Member Data Documentation

## IMPROVED

const char* BALL::StrangLBFGSMinimizer::Option::IMPROVED

static

Should the improved version be used?

Definition at line 58 of file strangLBFGS.h.

## NUM_OF_STORED_VECT_PAIRS

const char* BALL::StrangLBFGSMinimizer::Option::NUM_OF_STORED_VECT_PAIRS

static

Maximum number of stored vector pairs

Definition at line 62 of file strangLBFGS.h.